Package ru.bitel.bgbilling.modules.email.server.bean

# Class JDBCEmailServiceDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.email.server.bean.JDBCEmailServiceDao

public class JDBCEmailServiceDao extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JDBCEmailServiceDao(Connection con, Domain domain)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancelImpl(Account account)`
  `void`
  `createImpl(Account account)`
  `void`
  `modifyImpl(Account account)`
  `void`
  `removeDomainImpl(Domain domain)`
  `void`
  `updateDomainImpl(Domain domain, ParameterMap moduleSetup)`
  `protected void`
  `updateForwards(Account account)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JDBCEmailServiceDao

    public JDBCEmailServiceDao(Connection con, Domain domain)

- ## Method Details

  - ### createImpl

    public void createImpl(Account account) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### modifyImpl

    public void modifyImpl(Account account) throws Exception
    Throws:
      `Exception`

  - ### cancelImpl

    public void cancelImpl(Account account) throws SQLException
    Throws:
      `SQLException`

  - ### removeDomainImpl

    public void removeDomainImpl(Domain domain) throws SQLException
    Throws:
      `SQLException`

  - ### updateDomainImpl

    public void updateDomainImpl(Domain domain, ParameterMap moduleSetup) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateForwards

    protected void updateForwards(Account account) throws SQLException
    Throws:
      `SQLException`